Skip to main content
POST
/
calendar-notes
/
{calendarNoteId}
/
reschedule
Reschedule note
curl --request POST \
  --url https://api.postflow.app/v1/calendar-notes/{calendarNoteId}/reschedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z"
}
'
{
  "id": "<string>",
  "organization_id": "<string>",
  "user_id": "<string>",
  "group_id": "<string>",
  "title": "<string>",
  "content": "<string>",
  "color": 1,
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "end_date_extra_day": "2023-11-07T05:31:56Z",
  "visible_for_client": true,
  "is_private": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

calendarNoteId
integer
required

Body

application/json
start_date
string<date-time>
required
end_date
string<date-time>
required

Response

CalendarNoteData

id
string
required
organization_id
string
required
user_id
string | null
required

The ID of the user who created the calendar note

group_id
string | null
required

If group_id is provided, the note is visible only within that group. If it is null, the note is visible across all groups

title
string | null
required
content
string | null
required
color
enum<integer>
required

1 Red
2 Green
3 Blue
4 Yellow
5 Orange
6 Pink
7 Purple
8 Sky
9 Gray

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9
start_date
string<date-time>
required
end_date
string<date-time>
required
end_date_extra_day
string<date-time>
required
visible_for_client
boolean
required

If true, the note is also visible to clients

is_private
boolean
required

If true, the note is visible only to the author